@echo off

REM <Vista/7>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop
IF EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <2000/XP>
IF NOT EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\デスクトップ
IF NOT EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\スタート メニュー\プログラム
IF NOT EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\スタート メニュー\プログラム\スタートアップ

ECHO.
ECHO ###　NANS21V　セットアップ　インストール《前》処理　開始 ###
ECHO.

:INST
ECHO.
ECHO ■NANS21Vインストーラーをコピーします。
ECHO.
if not exist "C:\バックアップ\Install\." mkdir "C:\バックアップ\Install"
xcopy /EIYD "バックアップ\Install\*.msi" "C:\バックアップ\Install"

:KANRI
if not exist "Documents and Settings\NANS21\デスクトップ\NANS管理\." goto DB
ECHO.
ECHO ■NANS管理フォルダをコピーします。
ECHO.
REM [2011/12/20] Add --> 改版を考慮し、ファイル名からバージョンを削除
if exist "%desktop%\NANS管理\マニュアル\NANS21V CSVファイル説明書_ver1.70.pdf" rename "%desktop%\NANS管理\マニュアル\NANS21V CSVファイル説明書_ver1.70.pdf" "NANS21V CSVファイル説明書.pdf"

if exist "%desktop%\NANS管理\マニュアル\NANS21V 記録公認申請用CSVデータ作成ソフト操作説明書_v1.1.pdf" rename "%desktop%\NANS管理\マニュアル\NANS21V 記録公認申請用CSVデータ作成ソフト操作説明書_v1.1.pdf" "NANS21V 記録公認申請用CSVデータ作成ソフト操作説明書.pdf"

if exist "%desktop%\NANS管理\マニュアル\NANS21V 賞状・証明書印刷説明書_ver1.71.pdf" rename "%desktop%\NANS管理\マニュアル\NANS21V 賞状・証明書印刷説明書_ver1.71.pdf" "NANS21V 賞状・証明書印刷説明書.pdf"

if exist "%desktop%\NANS管理\マニュアル\NANS21V 操作説明書_ver1.70.pdf" rename "%desktop%\NANS管理\マニュアル\NANS21V 操作説明書_ver1.70.pdf" "NANS21V 操作説明書.pdf"
REM [2011/12/20] Add <--

xcopy /EIYD "Documents and Settings\NANS21\デスクトップ\NANS管理" "%desktop%\NANS管理"

:DB
if not exist "バックアップ\*.ndb" goto BACKUP
ECHO.
ECHO ■初期データベースをコピーします。
ECHO.
xcopy /EIYD "バックアップ\*.ndb" "C:\バックアップ"

:BACKUP
if not exist "C:\ニシ･スポーツ\." goto END
ECHO.
ECHO ■既存環境をバックアップします。
ECHO.
xcopy /EIY "C:\ニシ･スポーツ\NANS21V\Settings" "C:\ニシ･スポーツ\NANS21V\$Settings.tmp"
xcopy /EIY "C:\ニシ･スポーツ\NANS21V\Templates" "C:\ニシ･スポーツ\NANS21V\$Templates.tmp"

:SETTIME
if not exist "ニシ･スポーツ\NANS21V\DB\settime.bat" goto END
ECHO.
ECHO ■時刻合わせバッチファイルをコピーします。
ECHO.
xcopy /EIYD "ニシ･スポーツ\NANS21V\DB\settime.bat" "C:\ニシ･スポーツ\NANS21V\DB"
xcopy /EIYD "Documents and Settings\NANS21\スタート メニュー\プログラム\スタートアップ\settime.lnk" "%startup%"

:END
ECHO.
ECHO ###　NANS21V　セットアップ　インストール《前》処理　終了 ###
ECHO.
ECHO エラーメッセージが出力されていないことをご確認ください。
ECHO (エラーが出力された場合はNISHIに問合せください。)
ECHO.
PAUSE
